#include "QFileInfo"
#include "QTextStream"


#ifdef Q_OS_WIN

#include <windows.h>

QString getLongPathName(const QString& spath)
{
	ushort uspath[MAX_PATH];

	if (spath.isEmpty()){
		return QString();
	}

	QString spath_win32 = QDir::toNativeSeparators(spath);
	if(GetLongPathName(spath_win32.utf16(), uspath, MAX_PATH)==0){
		return spath;
	} else {
		return QDir::fromNativeSeparators(QString::fromUtf16 (uspath));
	}
}

#else

QString getLongPathName(const QString& spath)
{
	return spath;
}

#endif


int main(int  argc , char* argv[] )
{
	QTextStream out(stdout);
 
	int ni;
	for ( ni = 0; ni < argc; ni++ ){
		out << "argv[" << ni << "]:" << argv[ni] << endl;
	}
	if(argc>2){
		QFileInfo fInfo1(getLongPathName(QString::fromLocal8Bit(argv[1])));
		QFileInfo fInfo2(getLongPathName(QString::fromLocal8Bit(argv[2])));
		out << "finfo check = " << (fInfo1 == fInfo2) << endl;
	}
	return 0;
}

